org.apache.cassandra.io.sstable.format.big

## Class BigTableScanner.KeyScanningIterator

- java.lang.Object
- - com.google.common.collect.UnmodifiableIterator<T>
  - - com.google.common.collect.AbstractIterator<OnDiskAtomIterator>
    - - org.apache.cassandra.io.sstable.format.big.BigTableScanner.KeyScanningIterator

All Implemented Interfaces:
  java.util.Iterator<OnDiskAtomIterator>

Enclosing class:
  BigTableScanner

    protected class BigTableScanner.KeyScanningIterator
    extends com.google.common.collect.AbstractIterator<OnDiskAtomIterator>

### Constructor Summary

Constructors
`protected` `KeyScanningIterator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected OnDiskAtomIterator` `computeNext()`

### Methods inherited from class com.google.common.collect.AbstractIterator

`endOfData, hasNext, next, peek`

### Methods inherited from class com.google.common.collect.UnmodifiableIterator

`remove`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

### Constructor Detail

#### KeyScanningIterator

    protected KeyScanningIterator()

### Method Detail

#### computeNext

    protected OnDiskAtomIterator computeNext()

Specified by:
  `computeNext` in class `com.google.common.collect.AbstractIterator<OnDiskAtomIterator>`